(* $Id: gontbind.mli,v 1.7 2001/11/16 00:00:46 malekith Exp $ *)

open Gontutil

(* Modify decl in place, adding symbol entries to Ref terms. This musn't be
 * called more then once in a toplevel symbol (i.e. don't call it for local
 * functions). *)
val bind : decl -> unit

(* Return list of symbols, at given scoping level, that needs to put into the
 * closure becouse they are referenced in stmts. *)
val closure : int -> stmt -> (bool * symbol list)
;;
